#
# spec file for package gnu-jaf (Version 1.1.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnu-jaf
BuildRequires:  ant antlr classpath java-1_5_0-gcj-compat-devel unzip
%define       official_name activation
License:        GPL-2.0+
Group:          Development/Libraries/Java
AutoReqProv:    on
Version:        1.1.1
Release:        25.3
Summary:        GNU implementation of the JavaBeans Activation Framework
Url:            http://java.sun.com/products/javabeans/glasgow/jaf.html
Source:         %{official_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       jaf = %{version}
Obsoletes:      jaf <= 1.1
BuildArch:      noarch
Conflicts:      geronimo-jaf-1_0_2-api

%description
GNU JAF is a framework for declaring what beans operate on what MIME
type data. Content handler beans can be defined to handle particular
MIME content. The JAF unites internet standards for declaring content
with JavaBeans. The JAF defines two mechanisms within the framework.
The first, the file type map, specifies the MIME content type for a
given file. The default implementation of this uses the UNIX mime.types
format to map filename extensions to MIME types. The second mechanism,
the command map, specifies the actions that can be applied to a given
MIME content type. The default implementation of this uses the standard
mailcap format to map actions to JavaBean&#8482; classes. These beans
can then view, edit, print, or perform whatever other action is
required on the underlying resource.



Authors:
--------
    Andrew Selkirk
    Nic Ferrier

%prep
%setup -q -n %{official_name}-%{version}
#<< prep
#>> build

%build
CLASSPATH=$(build-classpath glibj):$CLASSPATH ant dist
#<< build
#>> install

%install
mkdir -p $RPM_BUILD_ROOT/%{_javadir}
cp activation.jar $RPM_BUILD_ROOT/%{_javadir}
ln -sf %{_javadir}/activation.jar $RPM_BUILD_ROOT/%{_javadir}/jaf.jar
#<< install

%clean
rm -rf $RPM_BUILD_ROOT
#>> files

%files
%defattr(-,root,root)   
%{_javadir}/*
#<< 
# vim: foldcolumn=4 foldmarker=>>,<< foldmethod=marker foldlevel=42

%changelog
* Tue Apr 28 2009 mvyskocil@suse.cz
- update to 1.1.1:
  * CommandMap.java, MailcapCommandMap.java: Updated to JAF 1.1
  * ObjectDataContentHandler.java, MimeTypeParameterList.java: Fixed typos
* Mon Dec  1 2008 mvyskocil@suse.cz
- added a conflicts to geronimo-1_0_2-jaf-api
* Wed May  7 2008 coolo@suse.de
- do the rename from jaf correctly
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Thu Jan 11 2007 dbornkessel@suse.de
- first version (dependency for tomcat55)
